
<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? Labels::CheckListElem.model_name.human(count: 2) : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= form_with url: tools_tasks_check_list_valid_path, method: :post, local: true do |form| %>

  <%= hidden_field_tag :step_tool_id, @step_tool.id %>
  <%= hidden_field_tag :rca, @rca.id %>

  <div class="modal-body" id='task-form'>
    <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
      <thead>
        <tr>
          <th><%= Labels::CheckListElem.human_attribute_name :name %></th>
          <th><%= Labels::CheckListElem.human_attribute_name :task_detail_type %></th>
          <th style='text-align:center;'><%= Labels::CheckListElem.human_attribute_name :nb_occurence %></th>

        </tr>
      </thead>
      <tbody>
        <% @check_list_elems.each do |elem| %>
          <tr>
            <td><%= elem.name %></td>
            <td><%= task_type_show(elem.task_detail_type) %></td>
            <td style='text-align:center;'><%= elem_tasks_nb(elem, @rca) %></td>
            <td><%= check_box_tag "check_list_elem[#{elem.id}]", true, false %></td>
          </tr>
        <% end %>
      </tbody>
    </table>

  </div>

  <div class="modal-footer">
    <%= button_tag type: 'submit', class: "btn btn-outline-warning", name: 'create_tasks' do %>
      <%= fa_icon_add('icon-grey icon-btn icon-margin') + t('.create_tasks') %>
    <% end %>
  </div>

<% end %>


<script text="javascript">
  // $(document).on("turbolinks:load", () => {
  $(function() {
    $('[data-toggle="tablesort"]').tablesorter({
      theme : 'blue'
    });
  });
</script>
